summaryrefslogtreecommitdiff
path: root/sbin
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2013-05-31 11:15:41 +0200
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2013-05-31 11:15:41 +0200
commit1e24274e434ffe02093bca0e41d1f5ab4583e347 (patch)
tree5ef14e2a8d867b9d464d80356c6450b2a0ac70eb /sbin
parentd73abf46bcf16d2eaaf76ec78e76aff2a2d1e14f (diff)
downloaditzks-systems-1e24274e434ffe02093bca0e41d1f5ab4583e347.tar.gz
itzks-systems-1e24274e434ffe02093bca0e41d1f5ab4583e347.tar.bz2
itzks-systems-1e24274e434ffe02093bca0e41d1f5ab4583e347.zip
/debian/itzks-systems-common.postinst: Move the preseeding of OCS inventory agent into non-packaging script.
Diffstat (limited to 'sbin')
-rwxr-xr-xsbin/itzks-systems-common.do_preseed38
1 files changed, 38 insertions, 0 deletions
diff --git a/sbin/itzks-systems-common.do_preseed b/sbin/itzks-systems-common.do_preseed
new file mode 100755
index 0000000..2c78a19
--- /dev/null
+++ b/sbin/itzks-systems-common.do_preseed
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# Copyright (C) 2011 by Mike Gabriel <mike.gabriel@it-zukunft-schule.de>
+
+# This script is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This script is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the
+# Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+set -e
+
+do_preseed() {
+ pkg="$1"
+ template="$2"
+ type="$3"
+ value="$4"
+ echo "Preseeding $template to $value"
+ echo $pkg $template $type "$value" | debconf-set-selections || \
+ echo "Failed to load preseed '$template'" 1>&2
+}
+
+CUSTOMER=$(cat /etc/debian-edu/itzks.school)
+
+# and finally preseed ocsinventory-agent
+do_preseed ocsinventory-agent ocsinventory-agent/tag string $CUSTOMER
+do_preseed ocsinventory-agent ocsinventory-agent/method select http
+do_preseed ocsinventory-agent ocsinventory-agent/server string inventory.it-zukunft-schule.de
+